Package org.eclipse.mat.parser.internal

# Class SnapshotImplBuilder

java.lang.Object
org.eclipse.mat.parser.internal.SnapshotImplBuilder

public class SnapshotImplBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`SnapshotImplBuilder(XSnapshotInfo snapshotInfo)`

## Method Summary

Modifier and Type
Method
Description
`SnapshotImpl`
`create(ParserRegistry.Parser parser, IProgressListener listener)`
`HashMapIntObject<ClassImpl>`
`getClassCache()`
`IndexManager`
`getIndexManager()`
`HashMapIntObject<XGCRootInfo[]>`
`getRoots()`
`XSnapshotInfo`
`getSnapshotInfo()`
`void`
`setArrayObjects(BitField arrayObjects)`
`void`
`setClassCache(HashMapIntObject<ClassImpl> classCache)`
`void`
`setIndexManager(IndexManager indexManager)`
`void`
`setRoots(HashMapIntObject<XGCRootInfo[]> roots)`
`void`
`setRootsPerThread(HashMapIntObject<HashMapIntObject<XGCRootInfo[]>> rootsPerThread)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnapshotImplBuilder

public SnapshotImplBuilder(XSnapshotInfo snapshotInfo)

## Method Details

### getSnapshotInfo

public XSnapshotInfo getSnapshotInfo()

### setIndexManager

public void setIndexManager(IndexManager indexManager)

### getIndexManager

public IndexManager getIndexManager()

### setClassCache

public void setClassCache(HashMapIntObject<ClassImpl> classCache)

### getClassCache

public HashMapIntObject<ClassImpl> getClassCache()

### setRoots

public void setRoots(HashMapIntObject<XGCRootInfo[]> roots)

### getRoots

public HashMapIntObject<XGCRootInfo[]> getRoots()

### setRootsPerThread

public void setRootsPerThread(HashMapIntObject<HashMapIntObject<XGCRootInfo[]>> rootsPerThread)

### setArrayObjects

public void setArrayObjects(BitField arrayObjects)

### create

public SnapshotImpl create(ParserRegistry.Parser parser, IProgressListener listener) throws IOException, SnapshotException

Throws:
  `IOException`
  `SnapshotException`